---
title: ArrayBuffer.prototype.byteLength
slug: Web/JavaScript/Reference/Global_Objects/ArrayBuffer/byteLength
tags:
  - ArrayBuffer
  - JavaScript
  - Property
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>byteLength</code></strong> accessor property represents the length of an {{jsxref("ArrayBuffer")}} in bytes.</p>

<div>{{EmbedInteractiveExample("pages/js/arraybuffer-bytelength.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Description">Description</h2>

<p>The <code>byteLength</code> property is an accessor property whose set accessor function is <code>undefined</code>, meaning that you can only read this property. The value is established when the array is constructed and cannot be changed. This property returns 0 if this <code>ArrayBuffer</code> has been detached.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_byteLength">Using byteLength</h3>

<pre class="brush:js notranslate">var buffer = new ArrayBuffer(8);
buffer.byteLength; // 8
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-get-arraybuffer.prototype.bytelength', 'ArrayBuffer.prototype.byteLength')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.ArrayBuffer.byteLength")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("ArrayBuffer")}}</li>
</ul>
